//--------------------------------------------------------------
// File     : xmc2go_ub_gpio.h
//--------------------------------------------------------------

//--------------------------------------------------------------
#ifndef __XMC2GO_UB_GPIO_H
#define __XMC2GO_UB_GPIO_H


//--------------------------------------------------------------
// Includes
//--------------------------------------------------------------
#include <stdint.h>
#include "gpio.h"


//--------------------------------------------------------------
// Liste aller Digital-IN Pins
//--------------------------------------------------------------
#define  DIN0   0
#define  DIN1   1
#define  DIN2   2
#define  DIN3   3
#define  DIN4   4


//--------------------------------------------------------------
// Liste aller Digital-OUT Pins
//--------------------------------------------------------------
#define  DOUT0  0
#define  DOUT1  1




//--------------------------------------------------------------
// Globale Funktionen
//--------------------------------------------------------------
void XMC2GO_GPIO_Init(void);
uint8_t XMC2GO_DIn_Read(uint8_t din_name);
void XMC2GO_DOut_Lo(uint8_t dout_name);
void XMC2GO_DOut_Hi(uint8_t dout_name);
void XMC2GO_DOut_Toggle(uint8_t dout_name);


//--------------------------------------------------------------
#endif // __XMC2GO_UB_GPIO_H
