//--------------------------------------------------------------
// File     : xmc2go_ub_led.h
//--------------------------------------------------------------

//--------------------------------------------------------------
#ifndef __XMC2GO_UB_LED_H
#define __XMC2GO_UB_LED_H


//--------------------------------------------------------------
// Includes
//--------------------------------------------------------------
#include <stdint.h>
#include "gpio.h"


typedef enum 
{
  LED1 = 0,
  LED2 = 1
}LED_NAME_t;






//--------------------------------------------------------------
// Globale Funktionen
//--------------------------------------------------------------
void XMC2GO_Led_Init(void);
void XMC2GO_Led_Off(LED_NAME_t led_name);
void XMC2GO_Led_On(LED_NAME_t led_name);
void XMC2GO_Led_Toggle(LED_NAME_t led_name);





//--------------------------------------------------------------
#endif // __XMC2GO_UB_DIGOUT_H
