//--------------------------------------------------------------
// File     : main.c
// Datum    : 16.05.2014
// Version  : 1.0
// Autor    : UB
// EMail    : mc-4u(@)t-online.de
// Web      : www.mikrocontroller-4u.de
// CPU      : XMC1100-0064 (XMC2GO)
// IDE      : KEIL uVision 5.10
// ARMCC    : 5.04
// Funktion : uPlay - Basic-Interpreter
//--------------------------------------------------------------

#include "main.h"
#include "ub_lib/xmc2go_ub_system.h"
#include "ub_lib/xmc2go_ub_led.h"
#include "ub_lib/xmc2go_ub_uPlay.h"

int main(void)
{
  // Sysinit
  XMC2GO_System_Init();
 
  // init der LEDs
  XMC2GO_Led_Init();
	
  // Start vom Systick und Heartbeat LED
  XMC2GO_Systic_Start();	
	
  // init vom uPlay
  XMC2GO_uPlay_Init();
	
  // Display aktivieren
  XMC2GO_Systic_aktivateLCD();
	
  // start vom uPlay (endlos)
  XMC2GO_uPlay_Start();

  while(1)
  {

  }
}
