//--------------------------------------------------------------
// File     : bas_snake.h
//--------------------------------------------------------------

//--------------------------
// Basic-Programm
// Game : Snake by UB
//--------------------------

//--------------------------
// Info :
// s = speed
// x,y = Player position
// r = Player direction
// a,b = Computer position
// c = computer direction
// l = distance of wall check
// i = local variable
//--------------------------

static const char flash_game_snake[] =
"10 REM == SNAKE ==\n\
20 REM ==  V : 1.0  UB ==\n\
45 REM ==============\n\
50 s=50\n\
99 REM ==============\n\
100 x=10\n\
110 y=24\n\
120 r=2\n\
130 a=74\n\
140 b=24\n\
150 c=4\n\
160 l=5\n\
197 REM ==============\n\
198 REM startscreen\n\
199 REM ==============\n\
200 CLS\n\
210 RECT 0,0,83,47\n\
215 LCD 10,10,\"-SNAKE-\"\n\
220 LCD 10,20,\"SPEED=\"\n\
230 LCD 50,20,s\n\
240 PAUSE 1000\n\
245 CLS\n\
250 RECT 0,0,83,47\n\
497 REM ==============\n\
498 REM game\n\
499 REM ==============\n\
500 GOSUB 1000\n\
510 PAUSE s\n\
520 GOSUB 2000\n\
530 GOSUB 3000\n\
540 GOSUB 5000\n\
550 GOTO 500\n\
997 REM ==============\n\
998 REM zeichnen\n\
999 REM ==============\n\
1000 CLRCOLL\n\
1010 SETPX x,y\n\
1020 GETCOLL i\n\
1030 IF i=1 GOTO 4000\n\
1040 SETPX a,b\n\
1050 GETCOLL i\n\
1060 IF i=1 GOTO 6000\n\
1070 RETURN\n\
1997 REM ==============\n\
1998 REM bewegen\n\
1999 REM ==============\n\
2000 IF r=2 x=x+1\n\
2010 IF r=4 x=x-1\n\
2020 IF r=1 y=y-1\n\
2030 IF r=3 y=y+1\n\
2040 IF c=2 a=a+1\n\
2050 IF c=4 a=a-1\n\
2060 IF c=1 b=b-1\n\
2070 IF c=3 b=b+1\n\
2080 RETURN\n\
2997 REM ==============\n\
2998 REM tastatur\n\
2999 REM ==============\n\
3000 IN i=1\n\
3010 IF i=0 GOTO 3100\n\
3020 IN i=0\n\
3030 IF i=0 GOTO 3200\n\
3040 IN i=3\n\
3050 IF i=0 GOTO 3300\n\
3060 IN i=2\n\
3070 IF i=0 GOTO 3400\n\
3090 RETURN\n\
3100 IF r=1 RETURN ELSE r=3\n\
3110 RETURN\n\
3200 IF r=3 RETURN ELSE r=1\n\
3210 RETURN\n\
3300 IF r=4 RETURN ELSE r=2\n\
3310 RETURN\n\
3400 IF r=2 RETURN ELSE r=4\n\
3410 RETURN\n\
3997 REM ==============\n\
3998 REM verloren\n\
3999 REM ==============\n\
4000 LCD 0,0,\"LOOSE\"\n\
4030 PAUSE 2000\n\
4040 END\n\
4997 REM ==============\n\
4998 REM computer move\n\
4999 REM ==============\n\
5000 IF c=4 GOTO 5100\n\
5010 IF c=2 GOTO 5200\n\
5020 IF c=1 GOTO 5300\n\
5030 IF c=3 GOTO 5400\n\
5090 RETURN\n\
5100 GETPX i=a-l,b\n\
5110 IF i=0 RETURN\n\
5115 GETTIC i\n\
5120 i=i&1\n\
5125 IF i=0 c=1 ELSE c=3\n\
5130 RETURN\n\
5200 GETPX i=a+l,b\n\
5210 IF i=0 RETURN\n\
5215 GETTIC i\n\
5220 i=i&1\n\
5225 IF i=0 c=3 ELSE c=1\n\
5230 RETURN\n\
5300 GETPX i=a,b-l\n\
5310 IF i=0 RETURN\n\
5315 GETTIC i\n\
5320 i=i&1\n\
5325 IF i=0 c=2 ELSE c=4\n\
5330 RETURN\n\
5400 GETPX i=a,b+l\n\
5410 IF i=0 RETURN\n\
5415 GETTIC i\n\
5220 i=i&1\n\
5425 IF i=0 c=4 ELSE c=2\n\
5430 RETURN\n\
5997 REM ==============\n\
5998 REM gewonnen\n\
5999 REM ==============\n\
6000 LCD 0,0,\"WIN\"\n\
6030 PAUSE 2000\n\
6040 IF s>5 s=s-5\n\
6050 GOTO 100\n";
