//--------------------------------------------------------------
// File     : xmc2go_ub_system.h
//--------------------------------------------------------------

//--------------------------------------------------------------
#ifndef __XMC2GO_UB_SYSTEM_H
#define __XMC2GO_UB_SYSTEM_H


//--------------------------------------------------------------
// Includes
//--------------------------------------------------------------
#include <stdint.h>
#include <XMC1100.h>


#define  TICKS_PER_SECOND 1000UL
#define  MS_PER_TIC       1


#define  HEARTBEAT_WAIT_MS     1000
#define  HEARTBEAT_BLINK_MS    20

#define  LED2_WAIT_MS          333
#define  LED2_BLINK_MS         5

#define  LCD_REFRESH_MS        100


//--------------------------------------------------------------
// Globale Funktionen
//--------------------------------------------------------------
void XMC2GO_System_Init(void);
void XMC2GO_Systic_Start(void);
void XMC2GO_Systic_Pause_ms(uint32_t ms);
void XMC2GO_Systic_ClrTic(void);
uint16_t XMC2GO_Systic_GetTic(void);
void XMC2GO_Systic_enableLED2(uint8_t mode);
void XMC2GO_Systic_aktivateLCD(void);
uint8_t XMC2GO_Systic_checkBreakBtn(void);



//--------------------------------------------------------------
#endif // __XMC2GO_UB_SYSTEM_H
